Bug 1000399 - Not possible to change quota of disk in enforced mode.
Not possible to change quota of disk in enforced mode.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.3.0
Unspecified Unspecified
unspecified Severity high
: ---
: 3.3.0
Assigned To: Gilad Chaplik
Artyom
sla
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-23 07:31 EDT by Ondra Machacek
Modified: 2016-02-10 15:16 EST (History)
9 users (show)

See Also:
Fixed In Version: is17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: SLA
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
engine.log (16.49 KB, text/plain)
2013-08-23 07:31 EDT, Ondra Machacek
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 19533 None None None Never
oVirt gerrit 19655 None None None Never

  None (edit)
Description Ondra Machacek 2013-08-23 07:31:02 EDT
Created attachment 789557 [details]
engine.log

Description of problem:


Version-Release number of selected component (if applicable):
is10

How reproducible:
always

Steps to Reproduce:
1. Set datacenter to enforced mode.
2. Create quota1 and quota2
3. Create vm with disk and assing both quota1.
4. Go to disk tab select vms disk, and assign it quota2.

Actual results:
Error while executing action: Cannot assign Quota. Quota is not valid.

Expected results:
Quota is changed successfully.

Additional info:
Same for floating disk.

2013-08-23 13:28:42,841 ERROR [org.ovirt.engine.core.bll.quota.QuotaManager] (ajp-/127.0.0.1:8702-12) [3ad7d742] Quota storage parameters from command: org.ovirt.engine.core.bll.ChangeQuotaForDiskCommand are missing storage domain id
2013-08-23 13:28:42,842 WARN  [org.ovirt.engine.core.bll.ChangeQuotaForDiskCommand] (ajp-/127.0.0.1:8702-12) [3ad7d742] CanDoAction of action ChangeQuotaForDisk failed. Reasons:VAR__ACTION__ASSIGN,VAR__TYPE__QUOTA,ACTION_TYPE_FAILED_QUOTA_IS_NOT_VALID
Comment 6 Artyom 2013-10-01 07:45:52 EDT
Verified on is17
Comment 7 Itamar Heim 2014-01-21 17:23:23 EST
Closing - RHEV 3.3 Released
Comment 8 Itamar Heim 2014-01-21 17:24:24 EST
Closing - RHEV 3.3 Released
Comment 9 Itamar Heim 2014-01-21 17:28:05 EST
Closing - RHEV 3.3 Released

Note You need to log in before you can comment on or make changes to this bug.